
package nccloud.bs.ic.ic.aggbusi.ace.bp;

import nc.impl.pubapp.pattern.data.bill.BillUpdate;
import nc.vo.pub.VOStatus;
import nc.vo.sap.syproconfig.AggSyProConfigVO;

/**
 * 标准单据审核的BP
 */
public class AceNccsynergyApproveBP {

        /**
         * 审核动作
         * 
         * @param vos
         * @param script
         * @return
         */
        public AggSyProConfigVO[] approve(AggSyProConfigVO[] clientBills,
                        AggSyProConfigVO[] originBills) {
                for (AggSyProConfigVO clientBill : clientBills) {
                        clientBill.getParentVO().setStatus(VOStatus.UPDATED);
                }
                BillUpdate<AggSyProConfigVO> update = new BillUpdate<AggSyProConfigVO>();
                AggSyProConfigVO[] returnVos = update.update(clientBills, originBills);
                return returnVos;
        }

}
